/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
          		  transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
          		  eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
          		  //Total de inputs       
                  TotalInput = 1;
                  //Para filtrar se pueden usar las siguientes variables:
               /* 
              'int':     /[\d]/,
              'float':     /[\d\.]/,
              'money':    /[\d\.\s,]/,
              'num':      /[\d\-\.]/,
              'hex':      /[0-9a-f]/i,
              'email':    /[a-z0-9_\.\-@]/i,
              'alpha':    /[a-zA-Z_ ]/i,
              'alphaupper': /[A-Z_ ]/i,
              'alphanum': /[a-z0-9_]/i,
              'alphanumlower':/[a-z0-9_]/,
              'alphanumupper':/[a-z0-9_]/,	
              'alphaspace':    /[a-z ]/i,
              'alphanumspace': /[a-z0-9_ ]/i,
              'alphanumspacelower':/[a-z0-9_ ],
              'mathsym':'[+-=\/*]/,
          		*/
          
                  	sym.setVariable("border", "2px double #cccccc");		// Modifica el borde del input
          			sym.setVariable("fondo", "rgba(255,255,255,0.9)");	// Modifica el color de fondo del input
          			sym.setVariable("colorini", "#666666");					// Editar el color de la letra 
          			sym.setVariable("colorok", "#666666");
          			sym.setVariable("fondook","rgba(169,194,88,1)");
          			sym.setVariable("colorbad", "#ffffff");
          			sym.setVariable("fondobad", "#f3716c");
          			sym.setVariable("fontsize", "26px");						// Editar el tamaño de fuente
          			sym.setVariable("fontFamily", "Cabin");					//	Editar el tipo de fuente
          			sym.setVariable("fontStyle", "normal");				
          			sym.setVariable("fontweight", "bold");
          			sym.setVariable("height", "auto");
          			sym.setVariable("border-radius", "5px");
          			sym.setVariable("alineacionTexto", "center");			// Editar la alineación del texto en el input
          
          			//RESPUESTAS -- CAMBIAR VALORES
                  sym.setVariable("Respuesta_1", "REEMPLAZAR POR VALOR");
                  /*sym.setVariable("Respuesta_2", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_3", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_4", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_5", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_6", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_7", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_8", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");*/
          
          sym.$('[id^="Stage_radio"]').click(function() {
          	sym.$("Input_1").fadeIn("slow");
          	//AÑADE RADIO EN DOWN
          	sym.$('[id^="Stage_radio"]').removeClass("radio-off");
          	sym.$('[id^="Stage_radio"]').addClass("radio-on");
          	$(this).addClass("radio-off");
          	//MARCA LA TABLA DE MULTIPLICAR
          	for (i=1 ; i<=10; i++){
          		sym.getSymbol("n"+i).stop("up");
          	}	
          	var number= $(this).attr("id").split("_");
          	sym.getSymbol("n"+number[2]).stop("down");
          	//MAPEA LA IMAGEN DEL SPRITE:modificar en cada caso la respuesta
          	sym.$("Text").hide();
          	sym.$("TextEjem").hide();
          	sym.$("sprite_num").hide();
          	if(number[2]==1){
          		sym.setVariable("Respuesta_1", "4");
          		sym.$("Text").html("4 x 1 es igual a 4");
          		sym.$("TextEjem").html("4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px 0px");
          		sym.$("contRec").fadeIn("slow");
          		sym.$("contRec").animate({width: "60px"});
          	}else if(number[2]==2){
          		sym.setVariable("Respuesta_1", "8");
          		sym.$("Text").html("4 x 2 es igual a sumar 2 veces 4");
          		sym.$("TextEjem").html("4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -104px");
          		sym.$("contRec").animate({width: "130px"});
          	}else if(number[2]==3){
          		sym.setVariable("Respuesta_1", "12");
          		sym.$("Text").html("4 x 3 es igual a sumar 3 veces 4");
          		sym.$("TextEjem").html("4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -208px");
          		sym.$("contRec").animate({width: "190px"});
          	}else if(number[2]==4){
          		sym.setVariable("Respuesta_1", "16");
          		sym.$("Text").html("4 x 4 es igual a sumar 4 veces 4");
          		sym.$("TextEjem").html("4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -312px");
          		sym.$("contRec").animate({width: "260px"});
          	}else if(number[2]==5){
          		sym.setVariable("Respuesta_1", "20");
          		sym.$("Text").html("4 x 5 es igual a sumar 5 veces 4");
          		sym.$("TextEjem").html("4+4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -416px");
          		sym.$("contRec").animate({width: "320px"});
          	}else if(number[2]==6){
          		sym.setVariable("Respuesta_1", "24");
          		sym.$("Text").html("4 x 6 es igual a sumar 6 veces 4");
          		sym.$("TextEjem").html("4+4+4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -520px");
          		sym.$("contRec").animate({width: "390px"});
          	}else if(number[2]==7){
          		sym.setVariable("Respuesta_1", "28");
          		sym.$("Text").html("4 x 7 es igual a sumar 7 veces 4");
          		sym.$("TextEjem").html("4+4+4+4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -624px");
          		sym.$("contRec").animate({width: "450px"});
          	}else if(number[2]==8){
          		sym.setVariable("Respuesta_1", "32");
          		sym.$("Text").html("4 x 8 es igual a sumar 8 veces 4");
          		sym.$("TextEjem").html("4+4+4+4+4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -728px");
          		sym.$("contRec").animate({width: "520px"});
          	}else if(number[2]==9){
          		sym.setVariable("Respuesta_1", "36");
          		sym.$("Text").html("4 x 9 es igual a sumar 9 veces 4");
          		sym.$("TextEjem").html("4+4+4+4+4+4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -832px");
          		sym.$("contRec").animate({width: "580px"});
          	}else if(number[2]==10){
          		sym.setVariable("Respuesta_1", "40");
          		sym.$("Text").html("4 x 10 es igual a sumar 10 veces 4");
          		sym.$("TextEjem").html("4+4+4+4+4+4+4+4+4+4");
          
          		sym.$("sprite_num").css("backgroundPosition", "0px -936px");
          		sym.$("contRec").animate({width: "650px"});
          	}
          	sym.$("Text").fadeIn("slow");
          	sym.$("TextEjem").fadeIn("slow");
          	sym.$("sprite_num").fadeIn("slow");
          });

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_radio_1}", "click", function(sym, e) {
         sym.$("mano").hide();
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'n1'
   (function(symbolName) {   
   
   })("n1");
   //Edge symbol end:'n1'

   //=========================================================
   
   //Edge symbol: 'n1_1'
   (function(symbolName) {   
   
   })("n2");
   //Edge symbol end:'n2'

   //=========================================================
   
   //Edge symbol: 'n2_1'
   (function(symbolName) {   
   
   })("n3");
   //Edge symbol end:'n3'

   //=========================================================
   
   //Edge symbol: 'n3_1'
   (function(symbolName) {   
   
   })("n4");
   //Edge symbol end:'n4'

   //=========================================================
   
   //Edge symbol: 'n4_1'
   (function(symbolName) {   
   
   })("n5");
   //Edge symbol end:'n5'

   //=========================================================
   
   //Edge symbol: 'n5_1'
   (function(symbolName) {   
   
   })("n6");
   //Edge symbol end:'n6'

   //=========================================================
   
   //Edge symbol: 'n6_1'
   (function(symbolName) {   
   
   })("n7");
   //Edge symbol end:'n7'

   //=========================================================
   
   //Edge symbol: 'n7_1'
   (function(symbolName) {   
   
   })("n8");
   //Edge symbol end:'n8'

   //=========================================================
   
   //Edge symbol: 'n8_1'
   (function(symbolName) {   
   
   })("n9");
   //Edge symbol end:'n9'

   //=========================================================
   
   //Edge symbol: 'n9_1'
   (function(symbolName) {   
   
   })("n10");
   //Edge symbol end:'n10'

   //=========================================================
   
   //Edge symbol: 'n2_1'
   (function(symbolName) {   
   
      })("T2");
   //Edge symbol end:'T2'

})(jQuery, AdobeEdge, "EDGE-94063035");
 